| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_ENET_002_CONTROL_T Struct Reference
IP: Ethernet register block and driver (002)

## Detailed Description

Ethernet Control register block structure.

Definition at line 85 of file enet_002.h.

`#include "enet_002.h"`

## Data Fields
__IO uint32_t | COMMAND
__I uint32_t | STATUS
IP_ENET_002_TRANSFER_INFO_T | RX
IP_ENET_002_TRANSFER_INFO_T | TX
uint32_t | RESERVED0 [10]
__I uint32_t | TSV0
__I uint32_t | TSV1
__I uint32_t | RSV
uint32_t | RESERVED1 [3]
__IO uint32_t | FLOWCONTROLCOUNTER
__I uint32_t | FLOWCONTROLSTATUS

## Field Documentation

__IO uint32_t COMMAND

Command register

Definition at line 86 of file enet_002.h.

__IO uint32_t FLOWCONTROLCOUNTER

Flow control counter register

Definition at line 95 of file enet_002.h.

__I uint32_t FLOWCONTROLSTATUS

Flow control status register

Definition at line 96 of file enet_002.h.

uint32_t RESERVED0[10]

Definition at line 90 of file enet_002.h.

uint32_t RESERVED1[3]

Definition at line 94 of file enet_002.h.

__I uint32_t RSV

Receive status vector register

Definition at line 93 of file enet_002.h.

IP_ENET_002_TRANSFER_INFO_T RX

Receive block registers

Definition at line 88 of file enet_002.h.

__I uint32_t STATUS

Status register

Definition at line 87 of file enet_002.h.

__I uint32_t TSV0

Transmit status vector 0 register

Definition at line 91 of file enet_002.h.

__I uint32_t TSV1

Transmit status vector 1 register

Definition at line 92 of file enet_002.h.

IP_ENET_002_TRANSFER_INFO_T TX

Transmit block registers

Definition at line 89 of file enet_002.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/enet_002.h